# Uses of Class
org.springframework.aot.generate.ClassNameGenerator

Packages that use ClassNameGenerator
Package
Description
org.springframework.aot.generate
Support classes for components that contribute generated code equivalent to a runtime behavior.

## Uses of ClassNameGenerator in org.springframework.aot.generate

Constructors in org.springframework.aot.generate with parameters of type ClassNameGenerator
Modifier
Constructor
Description
``
`DefaultGenerationContext(ClassNameGenerator classNameGenerator, GeneratedFiles generatedFiles)`
Create a new `DefaultGenerationContext` instance backed by the specified `ClassNameGenerator` and `GeneratedFiles`.
``
`DefaultGenerationContext(ClassNameGenerator classNameGenerator, GeneratedFiles generatedFiles, RuntimeHints runtimeHints)`
Create a new `DefaultGenerationContext` instance backed by the specified `ClassNameGenerator`, `GeneratedFiles`, and `RuntimeHints`.